class CompareController < ApplicationController

  def index
    @compare_query = CompareQuery.new
    @benchmark_infos = []
  end

  def filter
    @compare_query = CompareQuery.new(compare_query_params)
    @benchmark_infos =  @compare_query.filtered_benchmark_infos

    render "index"
  end

  private

  def compare_query_params
    params.require(:compare_query).permit!
  end

end
